%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	C++ library to manipulate vCard standard format
Name:		belcard
Version:	5.3.5
Release:	%mkrel 1
License:	GPLv3+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://gitlab.linphone.org/BC/public/belcard/-/archive/%{version}/belcard-%{version}.tar.gz
# (wally) from OpenSUSE to install pkgconfig .pc file
Patch0:		belcard-fix-pkgconfig.patch
# (wally) fix cmake config file location
Patch1:         belcard-cmake-config-location.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(belr) >= %{version}
BuildRequires:	pkgconfig(udev)

%description
Belcard is a C++ library to manipulate the vCard standard format.

%package -n	%{libname}
Summary:	C++ library to manipulate vCard standard format
Group:		System/Libraries
Requires:	%{name}-grammars >= %{version}-%{release}

%description -n	%{libname}
Belcard is a C++ library to manipulate the vCard standard format.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%package grammars
Summary:	VCard grammar files for Belcard
Group:          System/Libraries
BuildArch:	noarch

%description grammars
Belcard VCard grammar files.

%prep
%setup -q
sed -i -e 's,\r$,,' CMakeLists.txt
%autopatch -p1

# Fix version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -GNinja \
  -DENABLE_STATIC:BOOL=OFF \
  -DENABLE_STRICT:BOOL=OFF \
  -DENABLE_UNIT_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

find %{buildroot} -name "*.la" -delete

%files
%license LICENSE*
%doc README*
%{_bindir}/belcard-folder
%{_bindir}/belcard-parser
%{_bindir}/belcard-unfolder

%files grammars
%dir %{_datadir}/belr/
%dir %{_datadir}/belr/grammars/
%{_datadir}/belr/grammars/vcard_grammar

%files -n %{libname}
%license LICENSE*
%doc README*
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/BelCard/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Dec 30 2023 wally <wally> 5.3.5-1.mga10
+ Revision: 2024670
- new version 5.3.5

* Fri Jun 09 2023 wally <wally> 5.2.70-1.mga9
+ Revision: 1961517
- new version 5.2.70

* Sat Dec 24 2022 wally <wally> 5.2.4-1.mga9
+ Revision: 1926258
- new version 5.2.4

* Sun Dec 04 2022 wally <wally> 5.1.72-1.mga9
+ Revision: 1917531
- new version 5.1.72
- build using ninja

* Tue Aug 23 2022 wally <wally> 5.1.55-1.mga9
+ Revision: 1879609
- new version 5.1.55
- rebuild to core/release

* Tue May 03 2022 wally <wally> 5.1.12-1.mga9
+ Revision: 1855651
- new version 5.1.12

* Fri Mar 25 2022 umeabot <umeabot> 5.0.53-2.mga9
+ Revision: 1825566
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 wally <wally> 5.0.53-1.mga9
+ Revision: 1758345
- new version 5.0.53

* Sat Jul 31 2021 wally <wally> 4.5.22-1.mga9
+ Revision: 1738377
- new version 4.5.22

* Sun May 30 2021 wally <wally> 4.5.15-1.mga9
+ Revision: 1728844
- new version 4.5.15

* Sat Apr 10 2021 wally <wally> 4.5.1-1.mga9
+ Revision: 1714609
- new version 4.5.1

* Sun Mar 21 2021 wally <wally> 4.4.34-1.mga9
+ Revision: 1706606
- new version 4.4.34

* Sun Dec 27 2020 wally <wally> 4.4.21-1.mga9
+ Revision: 1664101
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 4.4.19-1.mga8
+ Revision: 1661345
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 4.4.13-1.mga8
+ Revision: 1655178
- new version 4.4.13

* Mon Nov 23 2020 wally <wally> 4.4.9-1.mga8
+ Revision: 1648762
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 4.4.6-1.mga8
+ Revision: 1639237
- new version 4.4.6

* Sat Oct 03 2020 wally <wally> 4.4.0-1.mga8
+ Revision: 1632019
- new version 4.4.0

* Sat Mar 28 2020 wally <wally> 4.3.1-1.mga8
+ Revision: 1561396
- new version 4.3.1

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1510689
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1295407
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 wally <wally> 1.0.2-1.mga7
+ Revision: 1188651
- fix license
- imported package belcard

